#!/bin/bash

if [[ -z "$1" ]]; then
    echo -e "Calc Mode\0icon\x1fgnome-calculator"

else
	killall rofi
    # so rofi doesn't complain "can't launch rofi inside rofi"
	rofi -show calc -modi calc -no-show-match -no-sort -calc-command "echo -n '{result}' | xsel --clipboard"
fi
